View Issue Details

IDProjectCategoryView StatusLast Update
0003375GNUnetsecret sharing servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToFlorian Dold 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003375: Secretsharing profiler crash
Description(gdb) bt
#0 0x00007fc9defd05b1 in GNUNET_TESTBED_service_connect (op_cls=0x0, peer=0x285b0c1675cad3f3,
    service_name=0x402c74 "secretsharing", cb=0x4017b4 <decrypt_connect_complete>, cb_cls=0x0,
    ca=0x401c69 <decrypt_connect_adapter>, da=0x401d66 <decrypt_disconnect_adapter>, cada_cls=0x23036c0)
    at testbed_api_services.c:278
#1 0x000000000040224e in secret_ready_cb (cls=0x2303658, my_share=0x0, public_key=0x0, num_ready_peers=0,
    ready_peers=0x0) at gnunet-secretsharing-profiler.c:341
#2 0x00007fc9df1e365d in handle_session_client_error (cls=0x2367620, error=GNUNET_MQ_ERROR_READ)
    at secretsharing_api.c:126
#3 0x00007fc9df4248a7 in GNUNET_MQ_inject_error (mq=0x2318c10, error=GNUNET_MQ_ERROR_READ) at mq.c:220
#4 0x00007fc9df425973 in handle_client_message (cls=0x2318c10, msg=0x0) at mq.c:535
#5 0x00007fc9df3f95b0 in receive_helper (cls=0x2318b90, buf=0x7fffeaf1ce38, available=0, addr=0x2366b70,
    addrlen=110, errCode=0) at client.c:529
#6 0x00007fc9df40688e in receive_ready (cls=0x2318ac0, tc=0x7fffeaf2cec0) at connection.c:1072
#7 0x00007fc9df433e0c in run_ready (rs=0x228e500, ws=0x228e590) at scheduler.c:595
#8 0x00007fc9df43469a in GNUNET_SCHEDULER_run (task=0x7fc9df42ebf7 <program_main>, task_cls=0x7fffeaf2d160)
    at scheduler.c:817
#9 0x00007fc9df42f788 in GNUNET_PROGRAM_run2 (argc=3, argv=0x7fffeaf2d300,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7fc9defde149 "nohelp",
    options=0x7fffeaf2d2c0, task=0x7fc9defd5749 <run>, task_cls=0x228e6e0, run_without_scheduler=0) at program.c:286
#10 0x00007fc9df42f8e4 in GNUNET_PROGRAM_run (argc=3, argv=0x7fffeaf2d300,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7fc9defde149 "nohelp",
    options=0x7fffeaf2d2c0, task=0x7fc9defd5749 <run>, task_cls=0x228e6e0) at program.c:325
#11 0x00007fc9defd5a57 in GNUNET_TESTBED_test_run (testname=0x402ca2 "gnunet-secretsharing-profiler",
    cfg_filename=0x228eb60 "test_secretsharing.conf", num_peers=16, event_mask=0, cc=0x4014dd <controller_cb>,
    cc_cls=0x0, test_master=0x4025dd <test_master>, test_master_cls=0x0) at testbed_api_test.c:151
#12 0x0000000000402941 in run (cls=0x0, args=0x7fffeaf2d720, cfgfile=0x228eb60 "test_secretsharing.conf",
    cfg=0x228c700) at gnunet-secretsharing-profiler.c:519
#13 0x00007fc9df42f7be in GNUNET_PROGRAM_run2 (argc=5, argv=0x7fffeaf2d6f8,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x402ddf "help", options=0x402f80 <options>,
    task=0x402786 <run>, task_cls=0x0, run_without_scheduler=1) at program.c:291
#14 0x000000000040299e in main (argc=5, argv=0x7fffeaf2d6f8) at gnunet-secretsharing-profiler.c:556
(gdb)
Steps To Reproduce./gnunet-secretsharing-profiler -c test_secretsharing.conf -n16 -d
Additional Information(gdb) bt full
#0 0x00007fc9defd05b1 in GNUNET_TESTBED_service_connect (op_cls=0x0, peer=0x285b0c1675cad3f3,
    service_name=0x402c74 "secretsharing", cb=0x4017b4 <decrypt_connect_complete>, cb_cls=0x0,
    ca=0x401c69 <decrypt_connect_adapter>, da=0x401d66 <decrypt_disconnect_adapter>, cada_cls=0x23036c0)
    at testbed_api_services.c:278
        data = 0x22dd0b0
#1 0x000000000040224e in secret_ready_cb (cls=0x2303658, my_share=0x0, public_key=0x0, num_ready_peers=0,
    ready_peers=0x0) at gnunet-secretsharing-profiler.c:341
        i = 0
        sp = 0x2303658
        n = 5
        pubkey_str = "\000\000\000\000\000\000\000\000\340L\204\337\311\177\000\000\260Y\204\337\311\177\000\000\366\315>\337\311\177\000\000x\335\f\335\311\177\000\000\370\202>\337\311\177\000\000\000\000\000\000\001\000\000\000W\000\000\000\001\000\000\000\252\240D\337\311\177\000\000\340L\204\337\311\177\000\000\220\312\361\352\377\177\000\000\340ɇ\337\311\177\000\000\270\312\361\352\377\177\000\000\210Ƈ\337\311\177\000\000\001\000\000\000\000\000\000\000\355ff\337\311\177\000\000\000\000\000\000\000\000\000\000\340L\204\337\311\177\000\000\001", '\000' <repeats 15 times>, "\001\000\000\000\377\177\000\000\210Ƈ\337\311\177\000\000C\000_US.UTF-8\000\311\177\000\000\000\000\000\000\000\000\000\000W\320\016"...
        ret = 0x1 <error: Cannot access memory at address 0x1>
        __FUNCTION__ = "secret_ready_cb"
#2 0x00007fc9df1e365d in handle_session_client_error (cls=0x2367620, error=GNUNET_MQ_ERROR_READ)
    at secretsharing_api.c:126
        s = 0x2367620
#3 0x00007fc9df4248a7 in GNUNET_MQ_inject_error (mq=0x2318c10, error=GNUNET_MQ_ERROR_READ) at mq.c:220
        __FUNCTION__ = "GNUNET_MQ_inject_error"
#4 0x00007fc9df425973 in handle_client_message (cls=0x2318c10, msg=0x0) at mq.c:535
        mq = 0x2318c10
        state = 0x2318c80
#5 0x00007fc9df3f95b0 in receive_helper (cls=0x2318b90, buf=0x7fffeaf1ce38, available=0, addr=0x2366b70,
    addrlen=110, errCode=0) at client.c:529
        client = 0x2318b90
        remaining = {rel_value_us = 140737135103520}
        receive_handler = 0x7fc9df425937 <handle_client_message>
        receive_handler_cls = 0x2318c10
        __FUNCTION__ = "receive_helper"
#6 0x00007fc9df40688e in receive_ready (cls=0x2318ac0, tc=0x7fffeaf2cec0) at connection.c:1072
        connection = 0x2318ac0
        buffer = 0x7fffeaf1ce38 "K6B\337\311\177"
        ret = 0
        receiver = 0x7fc9df3f9318 <receive_helper>
        __FUNCTION__ = "receive_ready"
#7 0x00007fc9df433e0c in run_ready (rs=0x228e500, ws=0x228e590) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0x2376200
        tc = {reason = (GNUNET_SCHEDULER_REASON_READ_READY | GNUNET_SCHEDULER_REASON_PREREQ_DONE),
          read_ready = 0x228e500, write_ready = 0x228e590}
        __FUNCTION__ = "run_ready"
#8 0x00007fc9df43469a in GNUNET_SCHEDULER_run (task=0x7fc9df42ebf7 <program_main>, task_cls=0x7fffeaf2d160)
    at scheduler.c:817
        rs = 0x228e500
        ws = 0x228e590
        timeout = {rel_value_us = 18446744073709551615}
        ret = 1
        shc_int = 0x22cda40
        shc_term = 0x22dc640
        shc_quit = 0x22dc7c0
        shc_hup = 0x22dca90
        shc_pipe = 0x22dc700
        last_tr = 1227
        busy_wait_warning = 0
        pr = 0x22cda00
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#9 0x00007fc9df42f788 in GNUNET_PROGRAM_run2 (argc=3, argv=0x7fffeaf2d300,
---Type <return> to continue, or q <return> to quit---
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7fc9defde149 "nohelp",
    options=0x7fffeaf2d2c0, task=0x7fc9defd5749 <run>, task_cls=0x228e6e0, run_without_scheduler=0) at program.c:286
        cc = {args = 0x7fffeaf2d318, cfgfile = 0x22cdc50 "test_secretsharing.conf", task = 0x7fc9defd5749 <run>,
          task_cls = 0x228e6e0, cfg = 0x22b8a60}
        path = 0x22b8b00 "p\310-\002"
        loglev = 0x0
        logfile = 0x0
        cfg_fn = 0x22b8ae0 "~/.config/gnunet.conf"
        xdg = 0x0
        ret = 3
        cnt = 5
        skew_offset = 4294967295
        skew_variance = 140505006186749
        clock_offset = 140733193388033
        cfg = 0x22b8a60
        defoptions = {{shortName = 99 'c', name = 0x7fc9df44e330 "config",
            argumentHelp = 0x7fc9df44e337 "FILENAME",
            description = 0x7fc9df44e340 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7fc9df421c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffeaf2d168}, {shortName = 104 'h',
            name = 0x7fc9df44e360 "help", argumentHelp = 0x0, description = 0x7fc9df44e365 "print this help",
            require_argument = 0, processor = 0x7fc9df4216a6 <GNUNET_GETOPT_format_help_>, scls = 0x7fc9defde149}, {
            shortName = 76 'L', name = 0x7fc9df44e375 "log", argumentHelp = 0x7fc9df44e379 "LOGLEVEL",
            description = 0x7fc9df44e388 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7fc9df421c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffeaf2d158}, {shortName = 108 'l',
            name = 0x7fc9df44e3aa "logfile", argumentHelp = 0x7fc9df44e3b2 "LOGFILE",
            description = 0x7fc9df44e3c0 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7fc9df421c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffeaf2d150}, {shortName = 118 'v',
            name = 0x7fc9df44e3eb "version", argumentHelp = 0x0,
            description = 0x7fc9df44e3f3 "print the version number", require_argument = 0,
            processor = 0x7fc9df421660 <GNUNET_GETOPT_print_version_>, scls = 0x7fc9df44e40c}}
        allopts = 0x22cda00
        gargs = 0x0
        lpfx = 0x22b8b00 "p\310-\002"
        spc = 0x0
        __FUNCTION__ = "GNUNET_PROGRAM_run2"
#10 0x00007fc9df42f8e4 in GNUNET_PROGRAM_run (argc=3, argv=0x7fffeaf2d300,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7fc9defde149 "nohelp",
    options=0x7fffeaf2d2c0, task=0x7fc9defd5749 <run>, task_cls=0x228e6e0) at program.c:325
No locals.
#11 0x00007fc9defd5a57 in GNUNET_TESTBED_test_run (testname=0x402ca2 "gnunet-secretsharing-profiler",
    cfg_filename=0x228eb60 "test_secretsharing.conf", num_peers=16, event_mask=0, cc=0x4014dd <controller_cb>,
    cc_cls=0x0, test_master=0x4025dd <test_master>, test_master_cls=0x0) at testbed_api_test.c:151
        argv2 = {0x22cbf40 "gnunet-secretsharing-profiler", 0x7fc9defde110 "-c",
          0x22c7510 "test_secretsharing.conf", 0x0}
        options = {{shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
            processor = 0x0, scls = 0x0}}
        rc = 0x228e6e0
        ret = 0
        __FUNCTION__ = "GNUNET_TESTBED_test_run"
#12 0x0000000000402941 in run (cls=0x0, args=0x7fffeaf2d720, cfgfile=0x228eb60 "test_secretsharing.conf",
    cfg=0x228c700) at gnunet-secretsharing-profiler.c:519
        session_str = 0x402eb5 "gnunet-secretsharing/test"
        topology = 0x22c7510 "test_secretsharing.conf"
        topology_cmp_result = -11
        __FUNCTION__ = "run"
#13 0x00007fc9df42f7be in GNUNET_PROGRAM_run2 (argc=5, argv=0x7fffeaf2d6f8,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x402ddf "help", options=0x402f80 <options>,
    task=0x402786 <run>, task_cls=0x0, run_without_scheduler=1) at program.c:291
        cc = {args = 0x7fffeaf2d720, cfgfile = 0x228eb60 "test_secretsharing.conf", task = 0x402786 <run>,
          task_cls = 0x0, cfg = 0x228c700}
        path = 0x228e650 "\002"
        loglev = 0x0
        logfile = 0x0
---Type <return> to continue, or q <return> to quit---
        cfg_fn = 0x228e990 "~/.config/gnunet.conf"
        xdg = 0x0
        ret = 5
        cnt = 11
        skew_offset = 140737135171176
        skew_variance = 140505015383176
        clock_offset = 1
        cfg = 0x228c700
        defoptions = {{shortName = 99 'c', name = 0x7fc9df44e330 "config",
            argumentHelp = 0x7fc9df44e337 "FILENAME",
            description = 0x7fc9df44e340 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7fc9df421c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffeaf2d528}, {shortName = 104 'h',
            name = 0x7fc9df44e360 "help", argumentHelp = 0x0, description = 0x7fc9df44e365 "print this help",
            require_argument = 0, processor = 0x7fc9df4216a6 <GNUNET_GETOPT_format_help_>, scls = 0x402ddf}, {
            shortName = 76 'L', name = 0x7fc9df44e375 "log", argumentHelp = 0x7fc9df44e379 "LOGLEVEL",
            description = 0x7fc9df44e388 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7fc9df421c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffeaf2d518}, {shortName = 108 'l',
            name = 0x7fc9df44e3aa "logfile", argumentHelp = 0x7fc9df44e3b2 "LOGFILE",
            description = 0x7fc9df44e3c0 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7fc9df421c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffeaf2d510}, {shortName = 118 'v',
            name = 0x7fc9df44e3eb "version", argumentHelp = 0x0,
            description = 0x7fc9df44e3f3 "print the version number", require_argument = 0,
            processor = 0x7fc9df421660 <GNUNET_GETOPT_print_version_>, scls = 0x7fc9df44e40c}}
        allopts = 0x228e6e0
        gargs = 0x0
        lpfx = 0x228e650 "\002"
        spc = 0x0
        __FUNCTION__ = "GNUNET_PROGRAM_run2"
#14 0x000000000040299e in main (argc=5, argv=0x7fffeaf2d6f8) at gnunet-secretsharing-profiler.c:556
        options = {{shortName = 110 'n', name = 0x402ecf "num-peers", argumentHelp = 0x0,
            description = 0x402ed9 "number of peers in consensus", require_argument = 1,
            processor = 0x401290 <GNUNET_GETOPT_set_uint@plt>, scls = 0x603860 <num_peers>}, {shortName = 68 'D',
            name = 0x402ef6 "delay", argumentHelp = 0x0, description = 0x402efc "dkg start delay",
            require_argument = 1, processor = 0x401320 <GNUNET_GETOPT_set_relative_time@plt>,
            scls = 0x603910 <delay>}, {shortName = 116 't', name = 0x402f0c "timeout", argumentHelp = 0x0,
            description = 0x402f14 "dkg timeout", require_argument = 1,
            processor = 0x401320 <GNUNET_GETOPT_set_relative_time@plt>, scls = 0x603908 <timeout>}, {
            shortName = 107 'k', name = 0x402f20 "threshold", argumentHelp = 0x0,
            description = 0x402f20 "threshold", require_argument = 1,
            processor = 0x401290 <GNUNET_GETOPT_set_uint@plt>, scls = 0x603864 <threshold>}, {shortName = 100 'd',
            name = 0x402f2a "decrypt", argumentHelp = 0x0, description = 0x402f32 "also profile decryption",
            require_argument = 0, processor = 0x401300 <GNUNET_GETOPT_set_one@plt>, scls = 0x603900 <decrypt>}, {
            shortName = 86 'V', name = 0x402f4a "verbose", argumentHelp = 0x0,
            description = 0x402f58 "be more verbose (print received values)", require_argument = 0,
            processor = 0x401300 <GNUNET_GETOPT_set_one@plt>, scls = 0x603a40 <verbose>}, {shortName = 0 '\000',
            name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
(gdb)
TagsNo tags attached.

Activities

Bart Polot

2014-04-10 11:37

manager   ~0008231

I still have the coredump around, in case you want more info.

Florian Dold

2014-04-14 23:27

developer   ~0008241

Should be fixed in r33071.

Bart Polot

2014-04-15 00:35

manager   ~0008245

Seems fixed.

Issue History

Date Modified Username Field Change
2014-04-10 11:36 Bart Polot New Issue
2014-04-10 11:36 Bart Polot Status new => assigned
2014-04-10 11:36 Bart Polot Assigned To => Florian Dold
2014-04-10 11:37 Bart Polot Note Added: 0008231
2014-04-10 21:52 Christian Grothoff Severity minor => crash
2014-04-11 15:22 Christian Grothoff Target Version => 0.11.0pre66
2014-04-14 23:27 Florian Dold Note Added: 0008241
2014-04-14 23:27 Florian Dold Status assigned => feedback
2014-04-15 00:35 Bart Polot Note Added: 0008245
2014-04-15 00:35 Bart Polot Status feedback => assigned
2014-06-04 15:32 Christian Grothoff Status assigned => resolved
2014-06-04 15:32 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-04 15:32 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed